/* StickyNotes.js 1.0.8 : author Thomas Ingles : sudwebdesign.free.fr : Dérivé de mediasManager.js (PluXml 5.7)
var popupCss = '\
.aside {\
	display: none;\
}\
.section .action-bar {\
	left: 0;\
	right: 0;\
	margin-right: 0;\
	margin-left: 0;\
}\
@media (min-width: 768px) {\
	.col.lrg-offset-2 {\
		margin-left: 10px;\
		margin-right: 20px;\
		width: 100%;\
	}\
}';

location.href = location.href.split("#")[0] + "#top"
*/
const StickyNotesThePanel = document.getElementById('StickyNotesThePanel');//Panel document.querySelector('#StickyNotesThePanel');
function diese(hash){
 if(hash)location.href = location.href.split("#")[0] + "#"+hash;
}
function inStickyNotes(ev){
 el = ev.target;
 if (el.parentNode){//sans avoir à spécifier son noeud parent
  sessionStorage.removeItem(el.parentNode.id);//rem rules
  el.parentNode.setAttribute('style', '');
  el.parentNode.setAttribute('class', '');//rem StickyNotesFixed
  StickyNotesThePanel.insertBefore(el.parentNode,StickyNotesThePanel.children[0]);//return on panel at 1st place v1.0.8
  el.parentNode.removeChild(el);// Supprime un élément spécifié
 }
}
if(window.onload != null){var f1 = window.onload;}//stackoverflow.com/a/36108449 : onload chained
window.onload=function(){//restore rules
 if (sessionStorage.StickyNotes !== undefined) {// IS '' or 'none ::: restore hide or not :)
  var tog = document.getElementById('StickyNotestoggler');
  if(tog.style.display != sessionStorage.StickyNotes){
   var on = '≡';var off = '—';
   var btn = document.getElementById('togglerStickyNotes');
   if(sessionStorage.StickyNotes != 'none'){btn.innerHTML = off;}
   else{btn.innerHTML = on;}
  }
  tog.style.display = sessionStorage.StickyNotes;
 }
 if(f1!=null){f1();}//chained onload
}
//Fork of PluXml toggleDiv() + sessionStorage
function stickyToggleDiv(divId,togglerId,on,off,display){
	display = display?display:'';//'initial';
	var toggler = document.getElementById(togglerId);
	if(document.getElementById(divId).style.display == 'none') {
		document.getElementById(divId).style.display = display;
		toggler.innerHTML=off;
		if(divId == 'StickyNotestoggler')
			sessionStorage.StickyNotes = display;//save rule
		return true;
	} else {
		document.getElementById(divId).style.display = 'none';
		toggler.innerHTML=on;
		if(divId == 'StickyNotestoggler')
			sessionStorage.StickyNotes = 'none';//save rule
		return false;
	}
}
function stickyTogglePanel(divId,togglerId,on,off,display){
	display = display?display:'';//'initial';
	var on = '≡';var off = '—';

	var toggler = document.getElementById(togglerId);
	if(toggler.innerHTML == on) {
		toggler.innerHTML=off;
		stickyToggleClass('publicnote','none');
		stickyToggleClass('adminnote','none');
	} else {
		//document.getElementById(divId).style.display = 'none';
		toggler.innerHTML=on;
		stickyToggleClass('publicnote','');
		stickyToggleClass('adminnote','');
	}
}
function stickyToggleClass(name,display){
	var force = (display!==undefined);
	display = display!==undefined?display:'';//'initial';
	var x = document.getElementsByClassName(name);
	for (var i = 0; i < x.length; i++) {
		if (x[i].parentNode.style.position != 'fixed')//** 1.0.7 */
			if (x[i].style.display != display || force)
				x[i].style.display = display;
			else
				x[i].style.display = 'none';
	}
}
//StickyNotes
var 	StickyNotesManager = {
/*
	updNotes: function(cibleId, txt) {
		//console.log('addNotes #' + cibleId, txt);
		var id = window.opener.document.getElementById(cibleId);
		if (id) {
			//Reload Notes Here in window.opener (parent) with ajax (TODO)  //o id.innerHTML = '<img src="' + imgPath + '" alt="" />';
		}
	},
*/
	construct: function(options) {

		this.opts = options;

		if (window.name == this.opts.windowName) {
			// ajout d'une class à <body> pour masquer les parties inutiles de l'admin (same of gestionnaire de médias popup pluxml.5.6)
			//document.body.id= 'medias';
			//document.body.style = 'margin : 0 !important';
			document.body.classList.add('mediasManager');//**StickyNotes
			document.getElementById('edit_StickyNotes').classList.add('hide');
			try{//hide plxAdminBar
				document.getElementById('plxadminbar').style.display = 'none';//hide bar
				new Array('-nocache','-icon','').forEach(function(e){//plxadminbar links
					var ab_css = document.getElementById('plxadminbar'+e+'-css');//link id
					ab_css.parentNode.removeChild(ab_css);//remove
				});
			}catch(e){}

			var actionBar = document.getElementsByClassName('action-bar')[0];//.section .action-bar .in-action-bar
			actionBar.style = 'left:0px;z-index:1;';
		}
	},

	openPopup: function(cibleId, replace, fallback) {
		var replace = replace == undefined ? false : true;
		var width = this.opts.width ? this.opts.width : 950;
		var height = this.opts.height ? this.opts.height : 580;
		var left = parseInt((screen.width - width) / 2);
		var top = parseInt((screen.height - height) / 2);
		var options = 'directories=no, toolbar=no, menubar=no, location=no, resizable=yes, scrollbars=yes, width=' + width + ' , height=' + height + ', left=' + left + ', top=' + top;
		this.cibleId = cibleId;
		this.replace = replace;
		this.fallback = fallback;
		popup = window.open(unescape(this.opts.racine + this.opts.urlManager), this.opts.windowName, options);
		if (popup) {
			popup.focus();
		}
		else {
			alert('Ouverture de la fenêtre bloquée par un anti-popup!');
		}
		return false;
	}
}
